import { Type } from "@sinclair/typebox";
import { FirRouteInput, FirRouteOptions } from "../util/routewrap.js";

const method = "POST";
const url = "/release";

// const payloadT = Type.Object({
// 	png: Type.String(),
// });

const payloadT = Type.Any();

const handler = ({payload}: FirRouteInput<typeof payloadT>) => {
	const {png} = payload;
	console.log(png);
	// return payload;
};

export default {
	method,
	url,
	payloadT,
	handler,
} as const satisfies FirRouteOptions<typeof payloadT>;